Bug 329468 - Search previous does not work in vi mode
Summary: Search previous does not work in vi mode
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: search (show other bugs)
Version: 3.12.0
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-31 13:26 UTC by Gerald Senarclens de Grancy
Modified: 2014-01-19 12:19 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Senarclens de Grancy 2013-12-31 13:26:21 UTC
Neither find previous nor [Shift]+[F3] work in vi mode.

reproduce
1) open a new document with any editor using kate part
2) write hello in the first three lines
3) make sure you are in vi mode ([Ctrl]+[Win]+[v])
4) select "Find" in the "Edit" menu
5) enter "hello" as search term and try to search for previous and next occurances

actual
- find next works, find previous appears to do nothing

expected
- find next and previous should work the same way both in vi mode and regular mode when the "previous" buttons in the search bar are used 

Reproducible: Always
Comment 1 Michal Humpula 2014-01-19 12:19:42 UTC
Git commit 001dac5b457fca84ea9872fd9e5ebc8262942630 by Michal Humpula.
Committed on 31/12/2013 at 16:26.
Pushed by michalhumpula into branch 'master'.

make find previous button in searchbar in vi-mode work

REVIEW: 114763

M  +6    -0    part/search/katesearchbar.cpp

http://commits.kde.org/kate/001dac5b457fca84ea9872fd9e5ebc8262942630